https://www.docusign.com/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}This method returns a binary version of a file in a workspace.
The external account number (int) or account ID GUID.
The ID of the file.
The ID of the folder.
The ID of the workspace.
When **true,** the `Content-Disposition` header is set in the response. The value of the header provides the filename of the file. The default is **false.**
When **true** the file is returned in PDF format.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}This method returns a binary version of a file in a workspace.
The external account number (int) or account ID GUID.
The ID of the file.
The ID of the folder.
The ID of the workspace.
When **true,** the `Content-Disposition` header is set in the response. The value of the header provides the filename of the file. The default is **false.**
When **true** the file is returned in PDF format.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}